%define module  SOAP-Lite
%define name    perl-%{module}
%define version 0.69
%define release %mkrel 3
%define _requires_exceptions perl(MQSeries.*)\\|perl(MQClient.*)

Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL or Artistic
Summary:        Client and server side SOAP implementation
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/SOAP/%{module}-%{version}.tar.bz2
Patch:          Lite.pm.patch
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(XML::Parser) >= 2.23
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(MIME::Parser)
BuildRequires:  perl(Crypt::SSLeay)
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(FCGI)
BuildRequires:  perl(Net::Jabber)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
SOAP::Lite for Perl is a collection of Perl modules which provides a simple and
lightweight interface to the Simple Object Access Protocol (SOAP) both on
client and server side.

To learn about SOAP, go to http://www.soaplite.com/#LINKS for more
information.

This version of SOAP::Lite supports a subset of the SOAP 1.1
specification and has initial support for SOAP 1.2 specification.  See
http://www.w3.org/TR/SOAP for details.

%prep
%setup -q -n %{module}-%{version}
%patch

find examples -type f | xargs perl -pi \
    -e 's|^#!perl -w|#!%{__perl} -w|;' \
    -e 's|^#!d:\\perl\\bin\\perl.exe ||;'
find examples -type f -name *.bat | xargs rm -f 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --noprompt
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README examples
%{_mandir}/*/*
%{_bindir}/*.pl
%{perl_vendorlib}/Apache
%{perl_vendorlib}/IO
%{perl_vendorlib}/SOAP
%{perl_vendorlib}/UDDI
%{perl_vendorlib}/XML
%{perl_vendorlib}/XMLRPC
%{perl_vendorlib}/OldDocs




%changelog
* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.69-3mdv2008.0
+ Revision: 67575
- rebuild


* Mon Jan 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.69-2mdv2007.0
+ Revision: 103017
- fix incompatibility with UNIVERSAL::require, using rt patch http://rt.cpan.org/Public/Bug/Display.html?id=16897
- Import perl-SOAP-Lite

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.69-1mdv2007.0
- new version

* Mon Jul 24 2006 Emmanuel Andry <eandry@mandriva.org> 0.68-1mdv2007.0
- 0.68

* Tue Feb 07 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.67-1mdk
- 0.67

* Tue Dec 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.66-1mdk
- new version
- rpmbuildupdate aware
- spec cleanup
- better summary

* Tue Jun 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.60-0.a.3mdk
- Rebuild

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.60-0.a.2mdk
- another buildrequires

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.60-0.a.1mdk
- 0.60a
- buildrequires

